### Virtual Method

# Clutter Container get_child_meta

#### Declaration [src]

    ClutterChildMeta*
    get_child_meta (
      ClutterContainer* container,
      ClutterActor* actor
    )

#### Description [src]

Retrieves the `ClutterChildMeta` which contains the data about the `container` specific state for `actor`.

#### Parameters

`actor`

  Type: `ClutterActor`

  A `ClutterActor` that is a child of `container`.

  The data is owned by the caller of the function.

#### Return value

Type: `ClutterChildMeta`

The `ClutterChildMeta` for the `actor` child of `container` or `NULL` if the specific actor does not exist or the container is not configured to provide `ClutterChildMeta`s.

The data is owned by the called function.